Subject: bug#17021: 24.3.50; extension to hi-lock.el

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 13 Aug 2020 12:32:48 +0200

lee <[email-masked]> writes:

> | This is an extension to hi-lock mode (of bzr revno 116727):
> | 
> | You can use the buffer-local variable `hi-lock-patterns-file' to
> | specify a file to write the higlighting-patterns to.  When this
> | variable is set, the highlighting-patterns will be kept in a dedicated
> | buffer instead of being written into the very file you`re editing.

This patch unfortunately got no attention when it was posted seven years
ago, and it no longer applies to Emacs 28.

I am not a hi-lock user myself -- are there anybody else on the bugs
mailing list here that can comment on whether this is something we'd
want to add?  It does sound useful to me, but I'm not really familiar
with how hi-lock works.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no